<?php  
include_once("../scripts/connect.php");
       include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
$idcdin = $sesion->id;
   $id_inv=$_POST['c_id_inv'];
   $centro=$_POST['copia_clave_cd'];
   $cuenta=$_POST['copia_cuenta'];
   $gtot=$_POST['copia_gtot'];
   $ptos=$_POST['copia_ptos'];
   
	$numns=$_POST['numnota'];

   $qp3 = "select  idcd, centros.nombre from usuarios_ci, centros where idcd=centros_idcd and idusuarios_ci='$idcdin'";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());

	$rp3 = mysql_fetch_object($cp3);	
	$idcentro = $rp3->idcd;
	$puntosok=$ptos;
  
   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   		function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- Año
				$mes = date('m',$FechaStamp); //<-- número de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- Día del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //Día de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Miércoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="Sábado"; break;
				}

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());





  		// **********************************************************************************

	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae, observaciones
							    ) 
							    VALUES 
							    (
								    '$id_inv', '12',curdate(),curtime(),'$idcdin','0','0','0','0000-00-00','$gtot'
							     )";
					$cIP = mysql_query($qIP) or die ('Error (Intento de Actualizacion en Pedido): ' . mysql_error()); 
	
	   $qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$id_inv' and fechat= curdate() order by horat ASC";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $trans = $ra[0];
	};

	   $pedido = $trans;
	
	
	$qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, status
							    ) 
							    VALUES 
							    (
								    '$idcdin', '$trans','0','$ptos','0','0', 'ASIGN NS'
							     )";
					$cP = mysql_query($qP) or die ('Error (Intento de Actualizacion depositos): ' . mysql_error());
	
	for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A4[$k]=$_POST["copia_id_prod$k"];
				$uno=$A1[$k];
				$dos=$A4[$k];     
			/*	$qDG8="SELECT id, asignar from nsalida where transacciones_idtransacciones=$numns and productos_idprod=$dos";
  			$cDG8 = mysql_query($qDG8) or die ('Error (Obtencion DG.): ' . mysql_error());
  			while($rDG8 = mysql_fetch_row($cDG8))
		   	{
		    	$idns = $rDG8[0];
				$nuevacant = $rDG8[1];
		    
		   	};     
   
					
					$nuevacant=$nuevacant-$uno;
					
					*/
					
					
					
							$insert_promo_asig="INSERT INTO pedido_real (transacciones,id_prod,cant) values('$trans','$dos','$uno')";
							mysql_query($insert_promo_asig) or die ();
							
					
						
					$qP12 = "update nsalida set asignar=asignar-$uno where transacciones_idtransacciones=$numns and productos_idprod=$dos";
					$cP12 = mysql_query($qP12) or die ('Error (Intento de Actualizacion en NSALIDA): ' . mysql_error());

					 
		   		}	
		   		
		   	}



                                                $qP121 = "insert into asignaciones (nsalida, idtransacciones) values ('$numns', '$trans')";
                    $cP121 = mysql_query($qP121) or die ('Error (Intento de Actualizacion en asignaciones): ' . mysql_error());





			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1, referencia FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  			while($rDG = mysql_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
                $dg_ref = $rDG[9];   
		   	};
   

   $gtot=0;
   
   echo"<table cellspacing=\"22\"><tr>";
	   		 echo "<tr><td><img src=\"nsasig.jpg\"><br>
            
            <font size=\"2\">Producto entregado anteriormente en <b>NS $numns</b><br>
            <br>
            <b>Id Asignaci&oacute;n $pedido </b>";
            
            echo"<br>$fechaT $hora
            <br>Nombre: $dg_nom $dg_apP $dg_apM
            <br>RFC: $dg_rfc Referencia:$dg_ref

            <br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
               for ($k=0; $k<$cuenta; $k++)
               {
                   if (@$_POST["cant$k"] > 0)
                {    
                       $A1[$k]=$_POST["cant$k"];
                       $A2[$k]=$_POST["copia_nombreProd$k"];
                       $A3[$k]=$_POST["copia_precio$k"];
                    $A4[$k]=$_POST["copia_id_prod$k"];
                    $tot=$A1[$k]*$A3[$k];
                    $gtot+=$tot;
                       echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
                    <td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
                    <td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
                    <td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
                   }    
               }
            
            $gtot2=$gtot;
               echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
            
            </table></font>
            <br>";echo"</td>";
			
			echo "<td><img src=\"nsasig.jpg\"><br>
            
            <font size=\"2\">Producto entregado anteriormente en <b>NS $numns</b><br>
            <br>
            <b>Id Asignaci&oacute;n $pedido </b>";
            
            echo"<br>$fechaT $hora
            <br>Nombre: $dg_nom $dg_apP $dg_apM
            <br>RFC: $dg_rfc Referencia:$dg_ref

            <br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
               for ($k=0; $k<$cuenta; $k++)
               {
                   if (@$_POST["cant$k"] > 0)
                {    
                       $A1[$k]=$_POST["cant$k"];
                       $A2[$k]=$_POST["copia_nombreProd$k"];
                       $A3[$k]=$_POST["copia_precio$k"];
                    $A4[$k]=$_POST["copia_id_prod$k"];
                    $tot=$A1[$k]*$A3[$k];
                    $gtot+=$tot;
                       echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
                    <td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
                    <td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
                    <td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
                   }    
               }
            

               echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
            
            </table></font>
            <br></td></tr>";

           echo "<tr><td><img src=\"nsasig.jpg\"><br>
            
            <font size=\"2\">Producto entregado anteriormente en <b>NS $numns</b><br>
            <br>
            <b>Id Asignaci&oacute;n $pedido </b>";
            
            echo"<br>$fechaT $hora
            <br>Nombre: $dg_nom $dg_apP $dg_apM
            <br>RFC: $dg_rfc Referencia:$dg_ref

            <br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
               for ($k=0; $k<$cuenta; $k++)
               {
                   if (@$_POST["cant$k"] > 0)
                {    
                       $A1[$k]=$_POST["cant$k"];
                       $A2[$k]=$_POST["copia_nombreProd$k"];
                       $A3[$k]=$_POST["copia_precio$k"];
                    $A4[$k]=$_POST["copia_id_prod$k"];
                    $tot=$A1[$k]*$A3[$k];
                    $gtot+=$tot;
                       echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
                    <td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
                    <td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
                    <td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
                   }    
               }
            
            
               echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
            
            </table></font>
            <br>";echo"</td>";
            
            echo "<td><img src=\"nsasig.jpg\"><br>
            
            <font size=\"2\">Producto entregado anteriormente en <b>NS $numns</b><br>
            <br>
            <b>Id Asignaci&oacute;n $pedido </b>";
            
            echo"<br>$fechaT $hora
            <br>Nombre: $dg_nom $dg_apP $dg_apM
            <br>RFC: $dg_rfc Referencia:$dg_ref

            <br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
               for ($k=0; $k<$cuenta; $k++)
               {
                   if (@$_POST["cant$k"] > 0)
                {    
                       $A1[$k]=$_POST["cant$k"];
                       $A2[$k]=$_POST["copia_nombreProd$k"];
                       $A3[$k]=$_POST["copia_precio$k"];
                    $A4[$k]=$_POST["copia_id_prod$k"];
                    $tot=$A1[$k]*$A3[$k];
                    $gtot+=$tot;
                       echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
                    <td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
                    <td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
                    <td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
                   }    
               }
            

               echo "<tr><td>-</td></tr><tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
            
            </table></font>
            <br></td></tr>";
?>

